org.jfree.chart.entity

## Class CategoryItemEntity

- java.lang.Object
- - org.jfree.chart.entity.ChartEntity
  - - org.jfree.chart.entity.CategoryItemEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class CategoryItemEntity
    extends ChartEntity
    implements java.lang.Cloneable, java.io.Serializable

A chart entity that represents one item within a category plot.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CategoryItemEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText, CategoryDataset dataset, java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Creates a new entity instance for an item in the specified dataset.
`CategoryItemEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText, CategoryDataset dataset, int series, java.lang.Object category, int categoryIndex)` Deprecated. As of 1.0.6, use `CategoryItemEntity(Shape, String, String, CategoryDataset, Comparable, Comparable)`.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
`java.lang.Object` `getCategory()` Deprecated. The return type for this method should be `Comparable`, so it has been deprecated as of version 1.0.6 and replaced by `getColumnKey()`.
`int` `getCategoryIndex()` Deprecated. As of 1.0.6, you can derive this information from the `getColumnKey()` method.
`java.lang.Comparable` `getColumnKey()` Returns the column key.
`CategoryDataset` `getDataset()` Returns the dataset this entity refers to.
`java.lang.Comparable` `getRowKey()` Returns the row key.
`int` `getSeries()` Deprecated. As of 1.0.6, you can derive this information from the `getRowKey()` method.
`void` `setCategory(java.lang.Object category)` Deprecated. As of version 1.0.6, use `setColumnKey(Comparable)`.
`void` `setCategoryIndex(int index)` Deprecated. As of 1.0.6, use `setColumnKey(Comparable)` to designate the category.
`void` `setColumnKey(java.lang.Comparable columnKey)` Sets the column key.
`void` `setDataset(CategoryDataset dataset)` Sets the dataset this entity refers to.
`void` `setRowKey(java.lang.Comparable rowKey)` Sets the row key.
`void` `setSeries(int series)` Deprecated. As of 1.0.6, you should use `setRowKey(Comparable)` to designate the series.
`java.lang.String` `toString()` Returns a string representing this object (useful for debugging purposes).

### Methods inherited from class org.jfree.chart.entity.ChartEntity

`clone, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, hashCode, setArea, setToolTipText, setURLText`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CategoryItemEntity

    public CategoryItemEntity(java.awt.Shape area,
                      java.lang.String toolTipText,
                      java.lang.String urlText,
                      CategoryDataset dataset,
                      int series,
                      java.lang.Object category,
                      int categoryIndex)

Deprecated. As of 1.0.6, use `CategoryItemEntity(Shape, String, String, CategoryDataset, Comparable, Comparable)`.
Creates a new category item entity.

Parameters:
  `area` - the area (`null` not permitted).
  `toolTipText` - the tool tip text.
  `urlText` - the URL text for HTML image maps.
  `dataset` - the dataset.
  `series` - the series (zero-based index).
  `category` - the category.
  `categoryIndex` - the category index.

#### CategoryItemEntity

    public CategoryItemEntity(java.awt.Shape area,
                      java.lang.String toolTipText,
                      java.lang.String urlText,
                      CategoryDataset dataset,
                      java.lang.Comparable rowKey,
                      java.lang.Comparable columnKey)

Creates a new entity instance for an item in the specified dataset.

Parameters:
  `area` - the 'hotspot' area (`null` not permitted).
  `toolTipText` - the tool tip text.
  `urlText` - the URL text.
  `dataset` - the dataset (`null` not permitted).
  `rowKey` - the row key (`null` not permitted).
  `columnKey` - the column key (`null` not permitted).
Since:
  1.0.6

### Method Detail

#### getDataset

    public CategoryDataset getDataset()

Returns the dataset this entity refers to. This can be used to differentiate between items in a chart that displays more than one dataset.

Returns:
  The dataset (never `null`).
See Also:
  `setDataset(CategoryDataset)`

#### setDataset

    public void setDataset(CategoryDataset dataset)

Sets the dataset this entity refers to.

Parameters:
  `dataset` - the dataset (`null` not permitted).
See Also:
  `getDataset()`

#### getRowKey

    public java.lang.Comparable getRowKey()

Returns the row key.

Returns:
  The row key (never `null`).
Since:
  1.0.6
See Also:
  `setRowKey(Comparable)`

#### setRowKey

    public void setRowKey(java.lang.Comparable rowKey)

Sets the row key.

Parameters:
  `rowKey` - the row key (`null` not permitted).
Since:
  1.0.6
See Also:
  `getRowKey()`

#### getColumnKey

    public java.lang.Comparable getColumnKey()

Returns the column key.

Returns:
  The column key (never `null`).
Since:
  1.0.6
See Also:
  `setColumnKey(Comparable)`

#### setColumnKey

    public void setColumnKey(java.lang.Comparable columnKey)

Sets the column key.

Parameters:
  `columnKey` - the column key (`null` not permitted).
Since:
  1.0.6
See Also:
  `getColumnKey()`

#### getSeries

    public int getSeries()

Deprecated. As of 1.0.6, you can derive this information from the `getRowKey()` method.
Returns the series index.

Returns:
  The series index.
See Also:
  `setSeries(int)`

#### setSeries

    public void setSeries(int series)

Deprecated. As of 1.0.6, you should use `setRowKey(Comparable)` to designate the series.
Sets the series index.

Parameters:
  `series` - the series index (zero-based).
See Also:
  `getSeries()`

#### getCategory

    public java.lang.Object getCategory()

Deprecated. The return type for this method should be `Comparable`, so it has been deprecated as of version 1.0.6 and replaced by `getColumnKey()`.
Returns the category.

Returns:
  The category (possibly `null`).
See Also:
  `setCategory(Object)`

#### setCategory

    public void setCategory(java.lang.Object category)

Deprecated. As of version 1.0.6, use `setColumnKey(Comparable)`.
Sets the category.

Parameters:
  `category` - the category (`null` permitted).
See Also:
  `getCategory()`

#### getCategoryIndex

    public int getCategoryIndex()

Deprecated. As of 1.0.6, you can derive this information from the `getColumnKey()` method.
Returns the category index.

Returns:
  The index.
See Also:
  `setCategoryIndex(int)`

#### setCategoryIndex

    public void setCategoryIndex(int index)

Deprecated. As of 1.0.6, use `setColumnKey(Comparable)` to designate the category.
Sets the category index.

Parameters:
  `index` - the category index.
See Also:
  `getCategoryIndex()`

#### toString

    public java.lang.String toString()

Returns a string representing this object (useful for debugging purposes).

Overrides:
  `toString` in class `ChartEntity`
Returns:
  A string (never `null`).

#### equals

    public boolean equals(java.lang.Object obj)

Tests the entity for equality with an arbitrary object.

Overrides:
  `equals` in class `ChartEntity`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.